---
layout: markdown_page
title: "Group Direction - Pipeline Security"
description: "GitLab's SPipeline Security group provides capabilities aligned with ensuring software supply chain security."
canonical_path: "/direction/software_supply_chain_security/pipeline_security/"
---

- TOC
{:toc}

## Pipeline Security

| | |
| --- | --- |
| Stage | [Govern](/direction/govern/) |
| Content Last Reviewed | `2024-11-22` |
| Content Last Updated  | `2024-11-22` |

## Overview

Pipeline Security is a group in the Govern stage.  There are two categories in the group and details on the direction can be viewed on the following individual category page:

1. [Secrets Management](https://about.gitlab.com/direction/software_supply_chain_security/pipeline_security/secrets_management/)
1. [Artifact Security](https://about.gitlab.com/direction/software_suuply_chain_security/pipeline_security/artifact_security/)


## Priorities

| Priority | Name | DRI | Target release |
| ------ | ------ | ------ | ------ |
<% data.product_priorities.pipeline_security.priorities.each.with_index do |priority, index| %>
| <%= index + 1 %> | [<%= priority.name %>](<%= priority.url %>) | `<%= priority.dri.presence || "@shampton" %>` | `<%= priority.target_release.presence || "TBD" %>` |
<% end %>

*This page may contain information related to upcoming products, features and functionality.

It is important to note that the information presented is for informational purposes only, so please do not rely on the information for purchasing or planning purposes.

Just like with all projects, the items mentioned on the page are subject to change or delay, and the development, release, and timing of any products, features, or functionality remain at the sole discretion of GitLab Inc.*
